Bug 1300460 - Default parameter value still in YAML, even when "Use Puppet Default" is selected
Default parameter value still in YAML, even when "Use Puppet Default" is sele...
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Configuration Management (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2016-01-20 17:16 EST by Maxim Burgerhout
Modified: 2016-10-31 10:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-10-31 10:23:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12249 None None None 2016-10-31 10:23 EDT

  None (edit)
Description Maxim Burgerhout 2016-01-20 17:16:31 EST
Description of problem:
I have a class that I assigned a default value to from Satellite. When I checked the "Use Puppet Default" box for a specific host, the value from Satellite remained listed in the YAML output, so the Puppet default was never used.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Add a class to Satellite, override one of it's values and give it a default
2. For a specific host, override that value and check "Use Puppet Default"

Actual results:
Default value from Satellite is still in the YAML output

Expected results:
Default value from Satellite is no longer listed in the YAML output

Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:06:32 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.